
local E_MODEL_BALD = smlua_model_util_get_id("bald_geo")

local TEXT_MOD_NAME = "Baldi"

local VOICETABLE_BALD = {
    [CHAR_SOUND_ATTACKED] = 'BALDWOAH.ogg',
    [CHAR_SOUND_DOH] = 'BALDWOAH.ogg',
    [CHAR_SOUND_DYING] = 'BAL_Ohh.ogg',
    [CHAR_SOUND_GROUND_POUND_WAH] = 'BALDOH.ogg',
    [CHAR_SOUND_HAHA] = 'BALD_TRIPJUMP.ogg',
    [CHAR_SOUND_HAHA_2] = 'BALD_TRIPJUMP.ogg',
    [CHAR_SOUND_HERE_WE_GO] = 'BAL_Wow.ogg',
    [CHAR_SOUND_HOOHOO] = 'BALD_JUMP2.ogg',
    [CHAR_SOUND_HRMM] = 'BALDWOAH.ogg',
    [CHAR_SOUND_LETS_A_GO] = 'BALDTHATSMEE.ogg',
    [CHAR_SOUND_MAMA_MIA] = 'BALDCANT.ogg',
	[CHAR_SOUND_OKEY_DOKEY] = 'BALDTHATSMEE.ogg',
    [CHAR_SOUND_ON_FIRE] = 'BAL_Ohh.ogg',
    [CHAR_SOUND_OOOF] = 'BALDWOAH.ogg',
    [CHAR_SOUND_OOOF2] = 'BALDWOAH.ogg',
    [CHAR_SOUND_PUNCH_HOO] = 'BALD_TRIPJUMP.ogg',
    [CHAR_SOUND_PUNCH_WAH] = 'BALD_JUMP2.ogg',
    [CHAR_SOUND_PUNCH_YAH] = 'BALD_JUMP1.ogg',
    [CHAR_SOUND_SO_LONGA_BOWSER] = 'BALDHAHAHA.ogg',
    [CHAR_SOUND_TWIRL_BOUNCE] = 'BALDWOAH.ogg',
    [CHAR_SOUND_UH] = 'BALD_JUMP1.ogg',
    [CHAR_SOUND_UH2] = 'BALD_JUMP2.ogg',
    [CHAR_SOUND_UH2_2] = 'BALD_JUMP1.ogg',
    [CHAR_SOUND_WAAAOOOW] = 'BAL_Ohh.ogg',
    [CHAR_SOUND_WAH2] = 'BALD_JUMP2.ogg',
    [CHAR_SOUND_WHOA] = 'BALDWOAH.ogg',
    [CHAR_SOUND_YAHOO] = 'BALD_TRIPJUMP.ogg',
    [CHAR_SOUND_YAHOO_WAHA_YIPPEE] = {'BALD_TRIPJUMP.ogg', 'BALD_TRIPJUMP.ogg'},
    [CHAR_SOUND_YAH_WAH_HOO] = 'BALD_JUMP1.ogg'
}

local TEX_BALD = get_texture_info("bald-icon")

if _G.charSelectExists then
    _G.charSelect.character_add("Baldi", {"Thats Me!"}, "CaptainT, Mystman12", {r = 0, g = 247, b = 0}, E_MODEL_BALD, CT_MARIO, TEX_BALD)

    _G.charSelect.character_add_voice(E_MODEL_BALD, VOICETABLE_BALD)

    hook_event(HOOK_CHARACTER_SOUND, function (m, sound)
        if _G.charSelect.character_get_voice(m) == VOICETABLE_BALD then return _G.charSelect.voice.sound(m, sound) end
    end)
    hook_event(HOOK_MARIO_UPDATE, function (m)
        if _G.charSelect.character_get_voice(m) == VOICETABLE_BALD then return _G.charSelect.voice.snore(m) end
    end)
else
    djui_popup_create("\\#ffffdc\\\n"..TEXT_MOD_NAME.."\nRequires the Character Select Mod\nto use as a Library!\n\nPlease turn on the Character Select Mod\nand Restart the Room!", 6)
end

